import {requestInstance} from "@/service";
import {UserInfo} from "@/unit/UserInfo";

export function getRootManageHomeTable(params){
 return requestInstance({
  url:'/user/selectRolePageList',
  data:{
   ...params
  }
 })
}
export function getAllModuleInfoD(params){
 return requestInstance({
  url:'/ptjkInterface/selectAuthorityModule02',
  data:{
   ...params
  }
 })
}
export function saveUserModuleInfo(params){
 return requestInstance({
  url:'/ptjkInterface/updateZymlAuthorityModule02',
  data:{
   ...params
  }
 })
}
export function addRoleInfo(params){
 return requestInstance({
  url:'/user/addRole_new',
  data:{
   ...params
  }
 })
}
export function delRoleInfo(params){
 return requestInstance({
  url:'/user/removeAuthorityRole',
  data:{
   ...params
  }
 })
}
export function delRoleUserInfoSpace(params){
 return requestInstance({
  url:'/user/removeAuthorityRoleUser',
  data:{
   ...params
  }
 })
}
export function delRoleUserInfoZw(params){
 return requestInstance({
  url:'/user/removeAuthorityRoleUser',
  data:{
   ...params
  }
 })
}

export function getUserInfoKj(params){
 return requestInstance({
  url:'/ptjkInterface/selectAuthorityRoleUserPageList',
  data:{
   ...params
  }
 })
}
export function getUserInfoZw(params){
 return requestInstance({
  url:'/ptjkInterface/selectZwmlRoleUserPageList',
  data:{
   ...params
  }
 })
}
export function getUserNotHasRoleSpace(params){
 return requestInstance({
  url:'/ptjkInterface/selectNotRoleUser',
  data:{
    ...params
  }
 })
}
export function getUserNotHasRoleZw(params) {
 return requestInstance({
  url: '/ptjkInterface/selectZwmlNotRoleUser',
  data: {
   ...params
  }
 })
}
export function addUserRoleInfo(params){
 return requestInstance({
  url:'/user/addZwmlRoleUser',
  data:{
   ...params
  }
 })
}
export function addUserRoleInterfaceInfo(MODULE_ID){
 return requestInstance({
  url:'/ptjkInterface/selectPtglSystemInterface',
  data:{
   MODULE_ID
  }
 })
}
export function addOrEditModuleInfo(params){
 return requestInstance({
  url:'/ptjkInterface/addZymlSystemModule_01',
  data:{
   ...params
  }
 })
}
export function getSystemIconTableData(){
 return requestInstance({
  url:'/user/selectPtglIcons',
  data:{
   appkey:new UserInfo().GetUserKeyCode()
  }
 })
}
export function delRoleUser(a_code){
 return requestInstance({
  url:'/ptjkInterface/removeZymlSystemModule',
  data:{
   a_code:a_code,
   appkey:new UserInfo().GetUserKeyCode()
  }
 })
}
